import { PropertyMeta } from "../core/property-meta";
import { UiPropertyMeta } from "../core/ui-property-meta";
import { WithId } from "../../../fd-toolbox-core/types/resource-with-id";
import { WithIndexer } from "../../../fd-toolbox-core/types/with-indexer";
import { VoidFunc } from "../../../fd-toolbox/functions/internal-getter-setter-functions";
import { ResourceWithUserId } from "../../../fd-toolbox/types/with-user-id";
import { UseFormReturn } from "react-hook-form";
import { BaseODataFilter } from "../../../fd-toolbox/odata/filters/base-odata-filter";
export declare function isRelationField(propertyMeta: PropertyMeta): boolean;
export declare function isManyToOneBrowserField(propertyMeta: PropertyMeta): boolean;
export declare function isOneToManyBrowserField(propertyMeta: PropertyMeta): boolean;
export declare function isManyToManyBrowserField(propertyMeta: PropertyMeta): boolean;
export declare function isIdProperty(propertyMeta: PropertyMeta | UiPropertyMeta): boolean;
export declare function getPropertyMetas(propertyMetas: WithIndexer<PropertyMeta>): PropertyMeta[];
export declare function setFlagEnumValues(propertyMetas: WithIndexer<PropertyMeta>, getValues: VoidFunc<string>, setValue: VoidFunc<string, number[]>): void;
export declare function getRequiredLabel(isRequired: boolean, value: string): string;
export declare function getRelationResourceId(propertyMeta: PropertyMeta, resource: WithId | ResourceWithUserId): string;
export declare function setSelectValueFromForm(form: UseFormReturn, setValue: VoidFunc<string>, fieldName: string): void;
export declare function setFormValue(form: UseFormReturn, fieldName: string, newValue: string): void;
export declare function onMultiBrowserChange(formSetValue: VoidFunc<string, string>, selected: WithId[], propertyMeta: PropertyMeta, onChange?: VoidFunc<string, string>): void;
export declare function onBrowserChange(formSetValue: VoidFunc<string, string>, value: string, propertyMeta: PropertyMeta, onChange?: VoidFunc<string, string>): void;
export declare function onEditorChange(form: UseFormReturn, propertyName: string, content: string, setEditorContent: VoidFunc<string>): void;
export declare function getViewMultiListFiltersForManyToManyBrowserField(propertyMeta: PropertyMeta, relatedResourceId?: string): BaseODataFilter<unknown>[];
